Bug 1473608 - [trello_He2j63p0] Registry hard prune command prompt unexpected warning msg if 'registry console' alongside registry
[trello_He2j63p0] Registry hard prune command prompt unexpected warning msg i...
Status: CLOSED CANTFIX
Product: OpenShift Container Platform
Classification: Red Hat
Component: Image Registry (Show other bugs)
3.4.1
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Ben Parees
Dongbo Yan
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-21 05:44 EDT by ge liu
Modified: 2017-10-19 11:18 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-10-19 11:18:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ge liu 2017-07-21 05:44:43 EDT
Description of problem:
As tilte, run registry hard prune command,get unexpected msg:

WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_ADDR 
.............
.........

the background are card and bug below:

https://trello.com/c/He2j63p0/957-5-registry-hard-prune-procedure
https://bugzilla.redhat.com/show_bug.cgi?id=1471844

openshift v3.4.1.44.6
kubernetes v1.4.0+776c994
etcd 3.1.0-rc.0

How reproducible:
Always

Steps to Reproduce:
1. setup ocp env, and check the svc: docker-registry and registry console co-exist
2. Change the registry to read-only mode, and run hard prune command:

pod="$(oc -n default get pods -l deploymentconfig=docker-registry \
>         -o jsonpath=$'{.items[0].metadata.name}\n')"

[root@qe-geliu-34master-registry-router-nfs-1 ~]# oc -n default exec -i -t "${pod}" -- /usr/bin/dockerregistry -prune=check

WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_ADDR 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_PROTO 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_HOST 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_PORT_REGISTRY_CONSOLE 
Would delete 11 blobs
Would free up 3.028 MiB of disk space
Use -prune=delete to actually delete the data

[root@qe-geliu-34master-registry-router-nfs-1 ~]# oc -n default exec -i -t "${pod}" -- /usr/bin/dockerregistry -prune=delete
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_ADDR 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_PORT_9000_TCP_PROTO 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_HOST 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_PORT 
WARN[0000] Ignoring unrecognized environment variable REGISTRY_CONSOLE_SERVICE_PORT_REGISTRY_CONSOLE 
Deleted 11 blobs
Freed up 3.028 MiB of disk space

Actual results:
Registry hard prune command prompt unexpected warning msg if 'registry console' alongside registry
Expected results:
Registry hard prune command should not prompt warning msg about 'registry console'
Comment 1 Michal Fojtik 2017-07-21 06:06:10 EDT
annoying but low priority
Comment 2 Ben Parees 2017-10-11 13:40:01 EDT
this is blocking the acceptance of https://trello.com/c/He2j63p0 so raising the priority.  If it should not block the acceptance of https://trello.com/c/He2j63p0 then that needs to be explained to QE so the card can be accepted.
Comment 3 Ben Parees 2017-10-19 11:18:28 EDT
This error is benign and unfortunately not fixable as it comes from the upstream docker registry code.

QE, please proceed with the testing/acceptance of https://trello.com/c/He2j63p0 and ignore this warning message.

Note You need to log in before you can comment on or make changes to this bug.